unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.StdCtrls, Vcl.ComCtrls;

type
  TMyRecord = record
  private
    FNotEasyDebugProp: Integer;
    FEasyDebugProp: Integer;
    procedure SetEasyDebugProp(const Value: Integer);
  public
    property NotEasyDebugProperty: Integer read FNotEasyDebugProp write FNotEasyDebugProp;
    property EasyDebugProperty: Integer read FEasyDebugProp write SetEasyDebugProp;
  end;

  TForm1 = class(TForm)
    Timer1: TTimer;
    Label1: TLabel;
    Timer3: TTimer;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label2: TLabel;
    ListBox3: TListBox;
    Memo2: TMemo;
    TabSheet2: TTabSheet;
    Label3: TLabel;
    ListBox4: TListBox;
    Memo3: TMemo;
    Label4: TLabel;
    procedure Timer1Timer(Sender: TObject);
    procedure Timer3Timer(Sender: TObject);
  private
    { Private declarations }
    MyRecord: TMyRecord;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{ TMyRecord }

procedure TMyRecord.SetEasyDebugProp(const Value: Integer);
begin
  FEasyDebugProp := Value;
end;

// Timer1.OnTimer simulate some process hidden in big application
// that assigns a value to MyRecord's property
procedure TForm1.Timer1Timer(Sender: TObject);
begin
  MyRecord.NotEasyDebugProperty := MyRecord.NotEasyDebugProperty + 1;
  MyRecord.EasyDebugProperty := MyRecord.EasyDebugProperty + 1;
end;

procedure TForm1.Timer3Timer(Sender: TObject);
begin
  ListBox3.Items.Append('MyRecord.NotEasyDebugProperty = '+IntToSTr(MyRecord.NotEasyDebugProperty));
  ListBox4.Items.Append('MyRecord.EasyDebugProperty = '+IntToSTr(MyRecord.EasyDebugProperty));
end;

end.
